<%/******************************************************* {COPYRIGHT-TOP} ***
# * Licensed Materials - Property of IBM
# * IBM(R) Workplace Forms(tm) Server - Webform Server
# *
# * (C) Copyright IBM Corp. 2000, 2006
# *
# * US Government Users Restricted Rights - Use, duplication, or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
******************************************************** {COPYRIGHT-END} **/%>
<%@ page import="com.PureEdge.pws.sample.FileUtilities" %>

<%@ page language="java" import="java.lang.*,java.util.*,java.io.*,java.net.URLEncoder" %>

<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
	response.setContentType("text/html");
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <meta http-equiv=Content-Type content="text/html; charset=UTF-8">
    <title>Servlet Sample View Forms JSP</title>
    
    <meta http-equiv="pragma" content="no-cache">
    <meta http-equiv="cache-control" content="no-cache">
    <meta http-equiv="expires" content="0">
  </head>
  
  <body>  
<%
	String action = request.getParameter("action");
	String dirname = request.getParameter("dirname");
	if (dirname == null)
		  dirname = "";
	ServletContext context = this.getServletContext();	  
	String startingDir = context.getInitParameter("startingDirectory");
	String submissionsDirectory = context.getInitParameter("submissionsDirectory");
	
	// if the context parameters don't exist or are blank, set defaults.
	if (startingDir == null)
			startingDir = "";
			
	if (startingDir.length() == 0)
			startingDir = context.getRealPath("/") + "/ServletSampleForms";
		
	if (submissionsDirectory == null)
			submissionsDirectory = "";
			
	if (submissionsDirectory.length() == 0)
			submissionsDirectory = "/submissions";
			
	if (action == null)
	{	
		File 	sampleDirFile = null;
		if (dirname.length() > 0)
		  sampleDirFile = new File(startingDir + "/" + dirname);
		else
		  sampleDirFile = new File(startingDir);
		  
		if (sampleDirFile.getCanonicalPath().startsWith(new File(startingDir).getCanonicalPath()) == false)
			throw new ServletException("Dir must be within the sample file directory.");
			  
		if (sampleDirFile == null)
			throw new ServletException("Directory " + sampleDirFile.getCanonicalPath() + " not found.");
	
		if (dirname.equals(""))
			out.println("<h1>Index of Servlet Sample Forms directory</h1>");
		else
			out.println("<h1>Index of " + dirname + " directory</h1>");
			
		out.println(FileUtilities.getDirectoryInHTML("viewForms.jsp", "FormHandler", dirname, sampleDirFile, dirname.equalsIgnoreCase(submissionsDirectory)));
		out.println("<br><a title=\"Servlet Sample\" href=\"FormHandler?pwsAction=toolbelt\">Click Here to Open Local Form</a>\n");
	}
	else if (action.equalsIgnoreCase("delete"))
	{
		String filename = request.getParameter("filename");
		if (filename != null)
		{
			out.println("<br>Are you sure you wish to <b>delete</b> the file: " + filename + "?<br><br>");
			out.println("<br><a href=\"FormHandler?action=delete&filename=" + URLEncoder.encode(filename) + "\">YES</a>");
			out.println("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
			out.println("<a href=\"viewForms.jsp?dirname=" + URLEncoder.encode(submissionsDirectory) + "&filename=" + URLEncoder.encode(filename) + "\">No</a><br>");
		}
		else
			throw new ServletException("filename parameter must be specified when action=delete.");
	}
	else
		throw new ServletException("Invalid value (" + action + ") for action parameter.");
%>
	
  </body>
</html>
